<template>
  <div v-if="!agentCooperation.IsHidden">
    <lazy-theme-desktop-main-agent-cooperation
      v-if="theme === 'desktop/main'"
    />
    <lazy-theme-desktop-main-agent-cooperation
      v-if="theme === 'desktop/global'"
    />
    <lazy-theme-desktop-main-agent-cooperation
      v-if="theme === 'desktop/playful'"
    />
    <lazy-theme-mobile-modern-agent-cooperation
      v-else-if="theme === 'mobile/modern'"
    />
    <lazy-theme-desktop-china-agent-cooperation
      v-else-if="theme === 'desktop/china'"
    />
    <lazy-theme-mobile-china-agent-cooperation
      v-else-if="theme === 'mobile/china'"
    />
    <lazy-theme-desktop-modern-agent-cooperation
      v-else-if="theme === 'desktop/modern'"
    />
    <lazy-theme-desktop-black-agent-cooperation
      v-else-if="theme === 'desktop/black'"
    />
    <lazy-theme-desktop-sbo-agent-cooperation
      v-else-if="theme === 'desktop/sbo'"
    />
    <lazy-theme-desktop-cool88-agent-cooperation
      v-else-if="theme === 'desktop/cool88'"
    />
    <lazy-theme-desktop-bk8-agent-cooperation
      v-else-if="theme === 'desktop/bk8'"
    />
    <lazy-theme-mobile-main-agent-cooperation
      v-else-if="theme === 'mobile/main'"
    />
    <lazy-theme-mobile-main-agent-cooperation
      v-else-if="theme === 'mobile/sbo'"
    />
    <lazy-theme-mobile-main-agent-cooperation
      v-else-if="theme === 'mobile/playful'"
    />
    <lazy-theme-mobile-main-agent-cooperation
      v-else-if="theme === 'mobile/black'"
    />
    <lazy-theme-desktop-peru-agent-cooperation
      v-else-if="theme.includes('/peru')"
    />
  </div>
  <auth-unauthorized v-else></auth-unauthorized>
</template>
<script lang="ts" setup>
import { useHeaderComponent } from "@/composables/useTheme";

defineProps({
  theme: {
    type: String,
    default: "",
  },
});

const { agentCooperation } = useHeaderComponent();
</script>
